
QGIS Application - Bug report #1809

QGIS highlights the taskbar button randomly.

2009-07-25 10:32 PM - kumba -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11869

Description

I tend to keep QGIS open for days at a time on my Windows system.  I've noticed that every hour or so, QGIS will turn its taskbar button

on the taskbar a bright orange color (the basic Windows highlight color).  Like it's trying to get my attention for a notification or something. 

However, when I maximize the program, I see nothing indicating that it wanted my attention.

Not a show stopper, but a bit on the annoying side.  I wouldn't worry about it as a must-fix-for-release thing, but if someone does get some

free time to chase it down, it would be appreciated.  If this were on Mac OS X, with the icon jumping up in the tray at me at random, then I

might've flagged this as a "critical" bug :)

For reference, I'm running Windows Server 2008 SP2 64bit w/ 8GB of RAM and a quad-core Intel Core2 processor.  If there is additional

debugging output that I can provide, please let me know.

History

#1 - 2009-07-26 02:01 AM - Giovanni Manghi

If there is additional debugging output that I can provide, please let me know.

Hi,

what version of qgis that is causing this problem? Was qgis installed with the standalone installer or with the osgeo4w one?

#2 - 2009-07-26 05:07 AM - Giovanni Manghi

Hi,

three hours now since I started qgis 1.0.2 and 1.2 under Vista 32 bit (and qgis 1.2 under Xp) opened a project and minimized the program windows. No

signs of the described behaviour. Still counting...

#3 - 2009-07-26 09:17 AM - kumba -

Th attached image is right after I've turned on my monitor this morning/afternoon, looked at my e-mail and saw this comment.  I haven't maximized QGIS

once yet, yet it's highlighted orange here.  I haven't really been able to put a specific time down for this oddity.  It's just one of those things you notice out of

the corner of your eye while working in other programs.

I am running QGIS-1.1.0 here, of course.  I've held off running the nightlies because I would like some measure of safety that it won't corrupt my entire

project or anything.  It is possible 1.2 might have fixed this unknowingly.
#4 - 2009-07-26 09:20 AM - Giovanni Manghi

Hi,

I believe you, I just say I'm not "able" to replicate this on Vista 32 bit with both qgis 1.2 and 1.0.2

Now many hours that the programs are minimized and still no sign of it.

#5 - 2009-07-26 07:42 PM - Steven Mizuno

I have seen this on Windows XP and Vista 32-bit. I have also seen Qt development tools, such as Assistant, do the same thing, so I believe that it is Qt

related rather than QGIS.

#6 - 2009-07-26 11:26 PM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Closed

Good to know - thanks smizuno. I close it as invalid, as it is outside the scope of QGIS devs; please reopen it if appropriate

Files

qgis11-notifybug.png 9.11 KB 2009-07-26 kumba -
